> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 按关键词搜索用户

> 按关键词搜索 X 用户账号并返回匹配的资料。

按关键词搜索 X 用户账号并返回匹配的资料。当你大致知道要找谁——公司名、话题或部分 handle——但不知道确切 @handle 时使用。支持 cursor 分页；在 `users` 下返回完整的用户对象。

该接口搜索的是账号，不是帖子；如需搜索推文内容，请使用 [`get_twitter_tweet_advanced_search`](/docs/zh/api-reference/twitter/get_twitter-tweet-advanced-search)。

<Note>
  **第一次用？** 把任意 MCP 客户端指向 `https://mcp.aisa.one/mcp` —— Claude Code、
  Codex、Cursor、VS Code 都可以。鉴权走 OAuth：客户端打开浏览器，你点一次
  Allow，不需要粘贴任何 key。各客户端的具体命令和每次调用的价格见
  [aisa.one/zh-cn/mcp](https://aisa.one/zh-cn/mcp#connect)。
</Note>

[在你的 agent 里把这个端点跑起来 →](https://aisa.one/mcp?from=/zh/api-reference/twitter/get_twitter-user-search)


## OpenAPI

````yaml openapi/zh/twitter-user-batch_02.json GET /twitter/user/search
openapi: 3.0.3
info:
  title: Twitter API
  version: 1.0.0
  description: 用于用户数据和交互的 Twitter API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /twitter/user/search:
    get:
      tags:
        - https://docs.twitterapi.io/api-reference/endpoint/search_user
      summary: 按关键词搜索用户
      description: >-
        按关键词搜索 X 用户账号并返回匹配的资料。当你大致知道要找谁——公司名、话题或部分 handle——但不知道确切 @handle 时使用。支持
        cursor 分页；在 `users` 下返回完整的用户对象。该接口搜索的是账号，不是帖子；如需搜索推文内容，请使用
        `get_twitter_tweet_advanced_search`。
      operationId: get_twitter_user_search
      parameters:
        - name: query
          in: query
          required: true
          schema:
            type: string
          description: 要搜索的关键词。
        - name: cursor
          in: query
          schema:
            type: string
          description: 用于对结果进行分页的游标。第一页为空。
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SearchUserResponse'
components:
  schemas:
    SearchUserResponse:
      type: object
      properties:
        users:
          type: array
          items:
            $ref: '#/components/schemas/User'
        has_next_page:
          type: boolean
        next_cursor:
          type: string
        status:
          type: string
          enum:
            - success
            - error
        msg:
          type: string
    User:
      type: object
      properties:
        type:
          type: string
        userName:
          type: string
        url:
          type: string
        id:
          type: string
        name:
          type: string
        isBlueVerified:
          type: boolean
        verifiedType:
          type: string
        profilePicture:
          type: string
        coverPicture:
          type: string
        description:
          type: string
        location:
          type: string
        followers:
          type: integer
        following:
          type: integer
        canDm:
          type: boolean
        createdAt:
          type: string
        favouritesCount:
          type: integer
        hasCustomTimelines:
          type: boolean
        isTranslator:
          type: boolean
        mediaCount:
          type: integer
        statusesCount:
          type: integer
        withheldInCountries:
          type: array
          items:
            type: string
        possiblySensitive:
          type: boolean
        pinnedTweetIds:
          type: array
          items:
            type: string
        isAutomated:
          type: boolean
        automatedBy:
          type: string
        unavailable:
          type: boolean
        message:
          type: string
        unavailableReason:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.